{% load static %}{% load mis_tags %}
<!--nav class="navmain navbar navbar-expand-lg  fixed-top"-->
<nav class="navbar navbar-expand-lg navbar-dark">
  <img src="{% static 'media/home/logo.svg' %}" width="30" height="30" alt="" class="logo">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
      </li>


      <li class="nav-item">
        <a class="nav-link " href="{% url 'autores'%}">Autores</a>
      </li>
      <li class="nav-item">
        <a class="nav-link " href="{% url 'biblioteca'%}">Biblioteca</a>
      </li>
      {% if request.user.is_authenticated %}
      <li class="nav-item">
        <a class="nav-link " href="{% url 'crear_comic' %}">Crear Comic</a>
      </li>
      {% endif %}
    </ul>
    <ul class="navbar-nav">
      {% if request.user.is_authenticated %}
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
          aria-haspopup="true" aria-expanded="false">
          {{request.user.username}}
          <img src="{{usuario.imagen_usuario.url}}" alt="" class="user">

        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="{% url 'perfil_usuario' user.id %}">Perfil Usuario</a>

          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
        </div>
      </li>
      {% else %}
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
          aria-haspopup="true" aria-expanded="false">
          Cuenta
          <i class="fic-user-1"></i>

        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="#" data-toggle="modal" data-target="#loginmodal">Ingresar</a>

          <div class="dropdown-divider"></div>
          <!--<a class="dropdown-item" href="{% url 'registro_usuario' %}">Registrarse</a>-->
          <a class="dropdown-item" href="#" data-toggle="modal" data-target="#registermodal">Registrarse</a>

        </div>
      </li>
      {% endif %}
    </ul>
    <form class="form-inline my-2 my-lg-0 needs-validation" novalidate action="{% url 'buscar' %}" method="GET">
      <input class="form-control mr-sm-2" type="search" placeholder="Buscar" aria-label="Buscar" name="txtBuscar"
        required>
      <button class="btn btn-outline-light my-2 my-sm-0" type="submit">Buscar</button>
    </form>
  </div>
</nav>
<form action="" method="POST" id="loginform">
  <div class="modal fade" id="loginmodal" data-backdrop="static" tabindex="-1" role="dialog"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        <div class="loginbody">
          <div class='login'>
            <div class='login_title'>
              <span>Accede a tu cuenta</span>
            </div>

            {% csrf_token %}
            <div class='login_fields'>
              <div class='login_fields__user'>
                <div class='icon'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/user_icon_copy.png'>
                </div>
                <input placeholder='Usuario' type='text' name="username">
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
                </input>
              </div>
              <div class='login_fields__password'>
                <div class='icon'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/lock_icon_copy.png'>
                </div>
                <input placeholder='Contraseña' type='password' name="password">
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
              </div>
              <div class='login_fields__submit'>
                <input type='submit' value='Acceder' class="loginsubmit">
                <div class='forgot'>
                  <a href='#'>Recordar contraseña?</a>
                </div>
              </div>

            </div>

            <div class='success'>
              <h2>Validación completa</h2>
              <p>Bienvenido de nuevo</p>
            </div>
            <div class='disclaimer'>
              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce semper laoreet placerat. Nullam semper
                auctor justo, rutrum posuere odio vulputate nec.</p>
            </div>
          </div>
          <div class='authent'>
            <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/puff.svg'>
            <p>Validando...</p>
          </div>
        </div>


      </div>
    </div>
  </div>
</form>
<form action="" method="POST" id="registerform" class="needs-validation" novalidate>
  <div class="modal fade" id="registermodal" data-backdrop="static" tabindex="-1" role="dialog"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        <div class="loginbody reg">
          <div class="login p-1">
            <div class='login_title'>
              <span>Crea tu cuenta</span>
            </div>

            {% csrf_token %}

            <div class='login_fields'>
              <div class="form-group ">
              <div class="imagedrop usrsmall rounded-circle mx-auto d-block my-3">
                <div class="wrap mx-auto d-block">
                  <img class="rounded-circle usrimg" src=""  />
                </div>
                <input type="file" accept="image/*" id="imagen" name="imagen" class="usrimgfile" required/>
              </div>
              <div class="invalid-feedback">
                Ingresa tu imagen de usuario.
            </div>
            </div>
              <div class='login_fields__user'>
                <div class='icon'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/user_icon_copy.png'>
                </div>
                <input class="form-control" placeholder='Usuario' type='text' name="txtUsuario" required>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
                </input>
              </div>
              <div class='login_fields__password'>
                <div class='icon'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/lock_icon_copy.png'>
                </div>
                <input class="form-control" placeholder='Contraseña' type='password' name="txtPass" required>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
              </div>
              <div class='login_fields__user'>
                <div class='icon'>
                  <i class="fic-users"></i>
                </div>
                <input class="form-control" placeholder='Nombre' type='text' name="txtPrimerNombre" required>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
                </input>
              </div>
              <div class='login_fields__user'>
                <div class='icon'>
                  <i class="fic-users"></i>
                </div>
                <input class="form-control" placeholder='Apeliido' type='text' name="txtSegundoNombre" required>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
                </input>
              </div>
              <div class='login_fields__user'>
                <div class='icon'>
                  <i class="fic-mail"></i>
                </div>
                <input class="form-control" placeholder='Email' type='email' name="txtMail" required>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
                </input>
              </div>
              <div class='login_fields__user'>
                <select class="form-control" id="cboGenero" name="cboGenero" required>
                  <option selected disabled >Genero</option>
                  {% list_generos as generos%}
                  {% for p in generos %}
                  <option value="{{ p.id }}">{{ p.nombre }}</option>
                  {% endfor %}
                </select>
              </div>
              <div class='login_fields__user'>

                <select class="form-control" id="cboPais" name="cboPais" required>
                  <option selected disabled >Pais</option>
                  {% list_paises as paises%}
                  {% for p in paises %}
                  <option value="{{ p.id }}">{{ p.nombre }}</option>
                  {% endfor %}
                </select>
                <div class='validation'>
                  <img src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/217233/tick.png'>
                </div>
              </div>
              <div class='login_fields__submit'>
                <input type='submit' value='Crear cuenta' class="regsubmit mx-auto">

              </div>

            </div>


          </div>

        </div>


      </div>
    </div>
  </div>
</form>
<script>
  $('.loginsubmit').click(function (e) {
    e.preventDefault();
    $('.login').addClass('test')
    setTimeout(function () {
      $('.login').addClass('testtwo')
    }, 300);
    setTimeout(function () {
      $(".authent").show().animate({ right: 40 }, { easing: 'easeOutQuint', duration: 600, queue: false });
      $(".authent").animate({ opacity: 1 }, { duration: 200, queue: false }).addClass('visible');

      $.ajax({
        type: "POST",
        url: '/login_ajax/',
        data: $('#loginform').serialize(),
        success: function (response) {
          setTimeout(function () {
            $(".authent").show().animate({ right: 90 }, { easing: 'easeOutQuint', duration: 600, queue: false });
            $(".authent").animate({ opacity: 0 }, { duration: 200, queue: false }).addClass('visible');

            $('.login').removeClass('testtwo')
            setTimeout(function () {
              $('.login').removeClass('test')
              $('.login div').fadeOut(123);
              setTimeout(function () {
                if (response.result !== 'ok') {
                  $('.success > h2').html('Error')
                  $('.success > p').html(response.message);
                } else {
                  $('.success > h2').html('Validación completa')
                  $('.success > p').html('Bienvenido de nuevo');
                  window.setTimeout(function () {
                    window.location.reload();
                  }, 500)
                }
                $('.success').fadeIn();
              }, 500);
            }, 800);
          }, 2500);



          // do something with response
          response['result']; // equals 'Success or failed';
          response['message'] // equals 'you"re logged in or You messed up';                                                                                                     
        }
      });


    }, 500);


  });

  $('input[type="text"],input[type="password"]').focus(function () {
    $(this).prev().animate({ 'opacity': '1' }, 200)
  });
  $('input[type="text"],input[type="password"]').blur(function () {
    $(this).prev().animate({ 'opacity': '.5' }, 200)
  });

  $('input[type="text"],input[type="password"]').keyup(function () {
    if (!$(this).val() == '') {
      $(this).next().animate({ 'opacity': '1', 'right': '30' }, 200)
    } else {
      $(this).next().animate({ 'opacity': '0', 'right': '20' }, 200)
    }
  });

  var open = 0;
  $('.tab').click(function () {
    $(this).fadeOut(200, function () {
      $(this).parent().animate({ 'left': '0' })
    });
  });
  $('#loginmodal').on('hidden.bs.modal', function (e) {
    $(".authent").hide()
    $('.login div').show()
  })
  var forms = document.getElementsByClassName('needs-validation');

  var validation = Array.prototype.filter.call(forms, function (form) {
    form.addEventListener('submit', function (event) {
      var hasimg=true; 
      if(form.id==='registerform'){
        hasimg = form.querySelector('.usrsmall').querySelector('img').getAttribute('src').length>0;
      }
      if (!form.checkValidity()||!hasimg) {
        event.preventDefault();
        event.stopPropagation();
      }
      if(!hasimg){
                        form.querySelector('.usrsmall').parentNode.querySelector('.invalid-feedback').classList.add('d-block')
                    }
      form.classList.add('was-validated');
      if(form.id==='registerform'){
        event.preventDefault();
        event.stopPropagation();
        if(form.checkValidity()&&hasimg)_regusr(event);
      }
    }, false);
  });
  
  $(document).on('change', '.usrimgfile', _changeimgreg);
  function _changeimgreg(evt) {
    var inp = $(this)
    var dt = evt.target;
    var files = dt.files;
    if (!files || files.length == 0) return;
    var file = files[0];
    var reader = new FileReader()
    reader.readAsDataURL(file)
    reader.onloadend = function () {
      var img = inp.closest('.imagedrop').find('img')
      img.attr('src', reader.result)
      img.css({ display: "block" });
      inp.closest('.imagedrop').find('.wrap').addClass('noafter')
      img.closest('.form-group').find('.invalid-feedback').removeClass('d-block');
    }
  }
  function _regusr(evt) {
   
    var form = $('#registerform');
    var formData = new FormData(form[0]);
    var strurl ='/registrar_usuario_ajax/';
    $.ajax({
        url: strurl,
        type: 'POST',
        data: formData,
        success: function (data) {
            window.location.href='/';
        },
        error: function (data) {
            debugger
        },
        cache: false,
        contentType: false,
        processData: false
    });
}
</script>